Skip to main content
POST
Create social post

Authorizations

Authorization
string
header
required

Team API key from Settings → Integrations. Use Authorization: Bearer <key> or x-api-key.

Body

application/json
body
string
required
Minimum string length: 1
accountIds
string[]
required
Minimum array length: 1
Minimum string length: 1
mediaUrls
string[]

Public image or video URLs. Videos are detected by extension (.mp4, .mov, .m4v, .webm).

scheduledAt
string<date-time> | null
publishNow
boolean
title
string | null
hashtags
string[]
postType
enum<string>

Instagram/Facebook format. reel needs a video, story needs media; other platforms always get a regular post. Defaults to post.

Available options:
post,
reel,
story

Response

Created.

data
object
required